{
////////////////////////////////////////////////////////////////////////////////
// Copyright  1993 Apple Computer, Inc. All rights reserved.
////////////////////////////////////////////////////////////////////////////////
// AppleScript Registry constants
////////////////////////////////////////////////////////////////////////////////
}

{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
	UNIT ASRegistry;
	INTERFACE
{$ENDC}

{$IFC UNDEFINED UsingASRegistry}
{$SETC UsingASRegistry := 1}

{$I+}
{$SETC ASRegistryIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}
{$IFC UNDEFINED UsingAERegistry}
{$I $$Shell(PInterfaces)AERegistry.p}
{$ENDC}
{$SETC UsingIncludes := ASRegistryIncludes}

CONST
	kASAppleScriptSuite			= 'ascr';
	kASTypeNamesSuite			= 'tpnm';

{ Dynamic Terminologies: }
	typeAETE					= 'aete';
	typeAEUT					= 'aeut';
	kGetAETE					= 'gdte';
	kGetAEUT					= 'gdut';
	kASCommentEvent				= 'cmnt';
	kASLaunchEvent				= 'noop';

{ User-defined record fields: }
	keyASUserRecordFields		= 'usrf';
	typeUserRecordFields		= typeAEList;

{ Operator Events: }
	keyASArg					= 'arg ';
	{ Binary: }
	kASEqual					= kAEEquals;
	kASNotEqual					= '   ';
	kASGreaterThan				= kAEGreaterThan;
	kASGreaterThanOrEqual		= kAEGreaterThanEquals;
	kASLessThan					= kAELessThan;
	kASLessThanOrEqual			= kAELessThanEquals;
	kASStartsWith				= kAEBeginsWith;
	kASEndsWith					= kAEEndsWith;
	kASContains					= kAEContains;
	{ not currently sent: }
	kASConcatenate				= 'ccat';
	kASAdd						= '+   ';
	kASSubtract					= '-   ';
	kASMultiply					= '*   ';
	kASDivide					= '/   ';
	kASQuotient					= 'div ';
	kASRemainder				= 'mod ';
	kASPower					= '^   ';
	{ Unary: }
	kASNegate					= 'neg ';

{ Subroutine Events: }
	kASSubroutineEvent			= 'psbr';
	keyASSubroutineName			= 'snam';

{ Subroutine event parameter prepositions: }
	keyASPrepositionAt			= 'at  ';
	keyASPrepositionIn			= 'in  ';
	keyASPrepositionFrom		= 'from';
	keyASPrepositionFor			= 'for ';
	keyASPrepositionTo			= 'to  ';
	keyASPrepositionThru		= 'thru';
	keyASPrepositionThrough		= 'thgh';
	keyASPrepositionBy			= 'by  ';
	keyASPrepositionOn			= 'on  ';
	keyASPrepositionInto		= 'into';
	keyASPrepositionOnto		= 'onto';
	keyASPrepositionBetween		= 'btwn';
	keyASPrepositionAgainst		= 'agst';
	keyASPrepositionOutOf		= 'outo';
	keyASPrepositionInsteadOf	= 'isto';
	keyASPrepositionAsideFrom	= 'asdf';
	keyASPrepositionAround		= 'arnd';
	keyASPrepositionBeside		= 'bsid';
	keyASPrepositionBeneath		= 'bnth';
	keyASPrepositionUnder		= 'undr';
	keyASPrepositionOver		= 'over';
	keyASPrepositionAbove		= 'abve';
	keyASPrepositionBelow		= 'belw';
	keyASPrepositionApartFrom	= 'aprt';
	keyASPrepositionAbout		= 'abou';
	keyASPrepositionSince		= 'snce';
	keyASPrepositionUntil		= 'till';

{ AppleScript Classes and Enums: }
	cEventIdentifier			= 'evnt';
	cScript						= 'scpt';
	cSeconds					= 'scnd';
	cList						= typeAEList;
	cRecord						= typeAERecord;

{ List properties: }
	pLength						= 'leng';
	pReverse					= 'rvse';
	pRest						= 'rest';

{ Script properties: }
	pASParent					= 'pare';

{ Properties of global environment: }
	pASPrintLength				= 'prln';
	pASPrintDepth				= 'prdp';

{ Considerations: }
	enumConsiderations			= 'cons';
	kAECase						= 'case';
	kAEDiacritic				= 'diac';
	kAEWhiteSpace				= 'whit';
	kAEHyphens					= 'hyph';
	kAEExpansion				= 'expa';
	kAEPunctuation				= 'punc';
	kAEZenkakuHankaku			= 'zkhk';
	kAESmallKana				= 'skna';
	kAEKataHiragana				= 'hika';
	{ AppleScript considerations: }
	kASConsiderReplies			= 'rmte';

{ System classes: }
	cZone						= 'zone';
	cMachine					= 'mach';

{$ENDC}    { UsingASRegistry }

{$IFC NOT UsingIncludes}
	END.
{$ENDC}

