/*
	File:		MyComponentRoutines.h
	
	Contains:	simple component sample.

	Written by:	John Wang

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<1>		03/14/94	JW		Re-Created for Universal Headers.

	To Do:
	
*/

#ifdef THINK_C
#define		applec
#endif

#define		kMyProcedureSelect		1

/* ------------------------------------------------------------------------- */

pascal ComponentResult DoOSALoad(Handle globals,
                       AEDesc *scriptData,
                       long  modeFlags,
                       OSAID *resultingScriptID);
                       
pascal ComponentResult DoOSAStore(GlobalsHandle globals,
                        OSAID scriptID,
                        DescType desiredType,
                        long  modeFlags,
                        AEDesc  *resultingScriptData);
                        
pascal ComponentResult DoOSADispose(GlobalsHandle globals,
                          OSAID scriptID);
       

pascal ComponentResult DoOSAScriptError(GlobalsHandle globals,
                              OSType selector,
                               DescType desiredType,
                              AEDesc *resultingErrorDescription) ;
       

pascal ComponentResult DoOSAExecute( GlobalsHandle globals,
                          OSAID compiledScriptID,
                          OSAID contextID,
                          long  modeFlags,
                          OSAID  *resultingScriptValueID);
      

pascal OSAError DoOSAScriptingComponentName(GlobalsHandle globals,
                                         AEDesc *resultingScriptingComponentName);
       

pascal ComponentResult DoOSACompile(GlobalsHandle globals, 
                           AEDesc *sourceData,
                          long modeFlags,
                          OSAID *resultingCompiledScriptID);
      

pascal ComponentResult DoOSAGetSource(GlobalsHandle globals,
                            OSAID scriptID,
                            DescType desiredType,
                            AEDesc *resultingSourceData ) ;
      

pascal ComponentResult DoOSACoerceFromDesc(GlobalsHandle globals,
                                 AEDesc *scriptData,
                                 long modeFlags,
                                 OSAID *resultingScriptValueID);
      

pascal ComponentResult DoOSACoerceToDesc(GlobalsHandle globals,
                               OSAID scriptValueID,
                               DescType desiredType,
                               long  modeFlags,
                               AEDesc *result);
      

pascal ComponentResult DoOSALoadExecute(GlobalsHandle globals,
                              AEDesc *scriptData,
                              OSAID contextID,
                              long  modeFlags,
                              OSAID *resultingScriptValueID) ;
  

pascal ComponentResult DoOSACompileExecute(GlobalsHandle globals,
                                 AEDesc *sourceData,
                                 OSAID contextID,
                                 long modeFlags,
                                 OSAID *resultingScriptValueID) ;
    

pascal ComponentResult DoOSADoScript(GlobalsHandle globals,
                           AEDesc *sourceData,
                           OSAID contextIDk,
                           DescType desiredType,
                           long modeFlags,
                           AEDesc *resultingText ) ;
      

pascal ComponentResult DoOSAMakeContext(GlobalsHandle globals, AEDesc  *contextName,
                              OSAID parentContext,
                              OSAID *resultingContextID ) ;
     

pascal ComponentResult DoOSADisplay(GlobalsHandle globals,
                          OSAID scriptValueID,
                          DescType desiredType,
                          long modeFlags,
                          AEDesc *resultingText ) ;

pascal ComponentResult DoOSAGetScriptInfo(GlobalsHandle globals,
							  OSAID scriptID,
                              OSType selector,
                              long * value);
                              
pascal ComponentResult DoOSASetScriptInfo(GlobalsHandle globals,
							  OSAID scriptID,
                              OSType selector,
                              long value);                              


OSErr  	myAEDisposeDesc(AEDesc *theDesc);