#   File:       AECoercionINIT.make
#   Target:     AECoercionINIT
#   Sources:    AECoerceINIT.r Coercions.c InstallCoercions.a InstallCoercions.c
#   Created:    Friday, November 8, 1991 11:06:07 AM

# when making an INIT like this, remember that things are postion dependant
# since we're BlockMoving just some of the code, we have to make sure
# that the correct bits bet moved, and that we don't move
# a bunch of code that's not needed.
# And the main reason to make sure these files are linked in the correct
# order is to make sure that the entry point is the first thing in the
# code.  That's why "InstallCoercions.a.o" is listed first, because I want
# that code to execute first, taht's where our entry point is.
# True, we tell the linker where the entry point is, but that doesn't
# matter to the INIT 31 mechanism, it expects the first INIT code to
# be the first byte of the INIT code itself.  So make sure you're in the right order!
OBJECTS = InstallCoercions.a.o InstallCoercions.c.o ShowINIT.a.o Coercions.c.o 

AECoercionINIT  AECoercionINIT.make AECoerceINIT.r
	Rez AECoerceINIT.r -append -o AECoercionINIT


AECoercionINIT  AECoercionINIT.make {OBJECTS}
	Link -t INIT -c AECI -rt INIT -m INITInstall -sg AECoercionINIT 
		{OBJECTS} 
		"{Libraries}"Interface.o 
		-o AECoercionINIT
	SetFile -a B AECoercionINIT
	Duplicate -y AECoercionINIT "{SystemFolder}"Extensions:

Coercions.c.o  AECoercionINIT.make Coercions.c
	 C -r  Coercions.c
InstallCoercions.a.o  AECoercionINIT.make InstallCoercions.a
	 Asm  -case obj InstallCoercions.a
InstallCoercions.c.o  AECoercionINIT.make InstallCoercions.c
	 C -r  InstallCoercions.c

